Bug 1649126 - Offline update messages are untranslated
Summary: Offline update messages are untranslated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 00:06 UTC by AsciiWolf
Modified: 2018-12-07 02:37 UTC (History)
5 users (show)

Fixed In Version: PackageKit-1.1.12-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 02:37:50 UTC


Attachments (Terms of Use)

Description AsciiWolf 2018-11-13 00:06:26 UTC
Description of problem:
The messages that are shown during offline update process ("Installing Updates" etc.) are not properly translated on non-English Fedora system. They are always in English instead of the correct locale. This was already fixed before, but it seems that it is broken again in Fedora 29.

Version-Release number of selected component (if applicable):
PackageKit-1.1.11-1.fc29.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Use non-English Fedora 29 system.
2. Wait for system update.
3. Download the update using GNOME Software.
4. Reboot the computer to install the update.

Actual results:
Offline update messages are in English.

Expected results:
Offline update messages are properly translated.

Comment 1 Kalev Lember 2018-11-23 17:07:18 UTC
This is possibly fixed in https://github.com/hughsie/PackageKit/commit/866805d33d30dc33a50ce34c508ec11db1b8ed69 -- I did a blind fix and don't know if it actually works.

Comment 2 Fedora Update System 2018-11-28 09:00:32 UTC
PackageKit-1.1.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 3 Fedora Update System 2018-11-29 03:16:26 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c3dd0383fa

Comment 4 Fedora Update System 2018-12-07 02:37:50 UTC
PackageKit-1.1.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.